curl --request POST \
--url https://api.sippet.ai/api/queues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"strategy": "<string>",
"max_wait_time": 123,
"moh_sound": "<string>"
},
"relationships": {},
"type": "Queue"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"queue_name": "<string>",
"strategy": "<string>",
"max_wait_time": 123,
"moh_sound": "<string>"
},
"relationships": {
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}/queues operation on Queue resource
curl --request POST \
--url https://api.sippet.ai/api/queues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"strategy": "<string>",
"max_wait_time": 123,
"moh_sound": "<string>"
},
"relationships": {},
"type": "Queue"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"queue_name": "<string>",
"strategy": "<string>",
"max_wait_time": 123,
"moh_sound": "<string>"
},
"relationships": {
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}JWT for bearer authentication
Relationship paths to include in the response
^()(,())*$Limits the response fields to only those listed for each type
Show child attributes
{
"Queue": "id,queue_name,strategy,moh_sound,max_wait_time"
}
Request body for the /queues operation on Queue resource
Show child attributes
Was this page helpful?